use crate::game::Game;
use crate::player::Player;

mod game;
mod player;
mod level;
mod position;
mod monster;

fn main() {
    let mut p = Player::new("Teddy Tester", 10);
    let g = Game::new(&mut p);

    println!("{}",g.player.get_name());
    println!("{}",g.player.get_life());
    g.player.change_life(-1);
    println!("{}",g.player.get_life());
}
